package cn.com.ctop.kuaishou.modules.report.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.List;

public interface NewMonitorService {
    public Result synchronousKuaiShouMonitor(String type, Long accId);

    public Result synchronousTouTiaoMonitor(String type, Long accId);

    List<JSONObject> getKuaiShouGroupMessage(JSONArray array, Integer startDate, Integer endDate );

    JSONObject getKuaiShouGroupSum(JSONArray array, Integer startDate, Integer endDate);

    List<JSONObject> getKuaiShouGroupMessageGroup(JSONArray array, String startDate, String endDate);

    List<JSONObject> getPlanMessage(JSONArray array, Integer startDate, Integer endDate);

    JSONObject getPlanSum(JSONArray array, Integer startDate, Integer endDate);

    List<JSONObject> getPlanMessageGroup(JSONArray array, String startDate, String endDate);

    List<JSONObject> getOperator(String userId, String userName);

    JSONObject getPlanSumBytedance(JSONArray accountIds, Integer startDate, Integer endDate);

    List<JSONObject> getPlanMessageGroupBytedance(JSONArray accountIds, String startDate, String endDate);

    List<JSONObject> getPlanMessageBytedance(JSONArray accountIds, Integer startDate, Integer endDate);
}
